Taxonomy

Create an instance project category

POST
/api/categories

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Request Body

  1. body
name*string
Length1 <= length <= 120

Response Body

Response for status 201

application/json
  1. response
category*
Example Request
curl -X POST 'https://postbot.example/api/categories' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
Example Response
{
  "category": {
    "id": "string",
    "name": "string",
    "normalizedName": "string",
    "state": "active",
    "archivedAt": 0,
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?